Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226305 - Merge Review: poppler
Summary: Merge Review: poppler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 275541 428509 437247
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:41 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-15 16:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-15 16:07:58 UTC
gwync: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:41:48 UTC
Fedora Merge Review: poppler

http://cvs.fedora.redhat.com/viewcvs/devel/poppler/
Initial Owner: krh@redhat.com

Comment 1 Jonathan Underwood 2007-05-05 12:50:50 UTC
There are a number of outstanding bugs against the poppler package which block
this review.

Comment 2 Marco Pesenti Gritti 2007-12-06 12:32:16 UTC
Package Change Request
======================
Package Name: 
New Branches: OLPC-2

The branch owner should be mpg@redhat.com

Comment 3 Kevin Fenzi 2007-12-06 20:55:18 UTC
cvs done.

Comment 4 Gwyn Ciesla 2008-09-16 15:03:55 UTC
(In reply to comment #1)
> There are a number of outstanding bugs against the poppler package which block
> this review.

I see one blocker, and it's closed.  Clear to review?

Comment 5 Patrice Dumas 2008-09-16 15:12:13 UTC
Bug 275541 and Bug 437247 are, in my opinion, relevant for the review.

Comment 6 Gwyn Ciesla 2008-09-16 15:21:40 UTC
Agreed, added as blockers.

Comment 7 Rex Dieter 2009-11-09 19:02:21 UTC
I'm on as comaintainer here, and would be happy to work with a reviewer to complete this merge.

Comment 8 Gwyn Ciesla 2009-11-11 16:08:51 UTC
Ok, on full review:

rpmlint:

[limb@fawkes SPECS]$ rpmlint -i ../SRPMS/poppler-0.12.1-3.fc11.src.rpm 
poppler.src:105: W: unversioned-explicit-provides pdftohtml
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause update
problems and will make versioned dependencies, obsoletions and conflicts on
the provided thing useless -- make the Provides versioned if possible.

poppler.src:106: W: unversioned-explicit-obsoletes pdftohtml
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Since I'm under the impression pdf2html is long gone, couldn't his be removed?


[limb@fawkes SPECS]$ rpmlint -i ../RPMS/i586/poppler-*
poppler.i586: W: shared-lib-calls-exit /usr/lib/libpoppler.so.5.0.0 exit@GLIBC_2.0
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Eeeew.  Is there a good reason upstream does this?

poppler-debuginfo.i586: W: spurious-executable-perm /usr/src/debug/poppler-0.12.1/goo/GooTimer.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

Fix.

poppler-glib.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

poppler-glib-devel.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

poppler-qt.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

poppler-qt4.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

poppler-qt4-devel.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

poppler-qt-devel.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Not sure if this is fixable, both doc files are tiny.

poppler-utils.i586: W: file-not-utf8 /usr/share/man/man1/pdftohtml.1.gz
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

Fix.

10 packages and 0 specfiles checked; 0 errors, 9 warnings.


Name is good, looks like it's in adherence to the guidlines.

License raises an eyebrow.  Tag is GPLv2, but lots of files have "or later".

English, legible, etc. Source URL and md5 are good.  Builds on i586.

Mock build in process, to check BRs, but since it's the SRPM from koji, I suspect it's fine.  I'll post the result.

Locales an ldconfig are good.  No bundled libs.  Not relocatable.  No obvious unowned dirs, perms ok.  Install and clean are good.  Macros are reasonable.  Code is permissible.  Docs are tiny.  There are devel packages, no static libs.  Pkgconfig files are OK, and pkgconfig is Required. .so/.so.* setup is correct. -devel package requires look good.  No libool archives.  Not a GUI app.  No conflicts I'm aware of.  All UTF-8, except for the above.


So, in summary:  pdf2html, exit(), spurious-executable term, license tag, non-UTF-8 file.

Comment 9 Gwyn Ciesla 2009-11-11 17:45:16 UTC
Mock was OK, so BRs are good.

Comment 10 Marek Kašík 2010-01-15 14:52:16 UTC
Hi,

I fixed the spurious-executable permission, the non-UTF-8 file and added versions t pdftohtml's Provides/Obsoletes (I left it there, so we can track it to the past).
Those exits are in memory allocation functions which have also versions which don't call exit. These are used if needed.
The license tag corresponds to COPYING file.

Regards

Marek

Comment 11 Gwyn Ciesla 2010-01-15 16:07:58 UTC
Ok.  Thanks guys!

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.